MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024713Open CASCADE[OCCT] OCCT:WOKpublic2014-03-11 17:402014-11-11 12:51
Reporterkgv 
Assigned Tokgv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0024713: WOK compilation fails on tcl8.6
Description
1>------ Build started: Project: TKWOKTcl, Configuration: Release Win32 ------
1>Compiling...
1>WOKTclTools_Interpretor.cxx
1>Information: tcl8.6.lib is using as TCL library
1>..\..\..\src\WOKTclTools\WOKTclTools_Interpretor.cxx(474) : error C2039: 'result' : is not a member 
of 'Tcl_Interp'
1> g:\occt-3rdparty\occt670products\tcltk-86-32\include\tcl.h(503) : see declaration of 'Tcl_Interp'

1>..\..\..\src\WOKTclTools\WOKTclTools_Interpretor.cxx(491) : error C2039: 'result' : is not a member 
of 'Tcl_Interp'
1> g:\occt-3rdparty\occt670products\tcltk-86-32\include\tcl.h(503) : see declaration of 'Tcl_Interp' 

TagsNo tags attached.
Test case number
Attached Files

- Relationships
related to 0024316closedabv Make building with different versions of Tcl easier 

-  Notes
(0028201)
kgv (developer)
2014-03-11 18:38

Dear bugmaster,

please integrate fix in CR24713 branch to the master.
(0028223)
bugmaster (administrator)
2014-03-12 14:37

Fix has been compiled successfully together with issue 24533.
Problem was detected
(0028224)
bugmaster (administrator)
2014-03-12 14:39

Fix has been integrated into master of occt-wok repository

- Issue History
Date Modified Username Field Change
2014-03-11 17:40 kgv New Issue
2014-03-11 17:40 kgv Assigned To => kgv
2014-03-11 18:38 kgv Note Added: 0028201
2014-03-11 18:38 kgv Assigned To kgv => bugmaster
2014-03-11 18:38 kgv Status new => feedback
2014-03-11 18:39 kgv Relationship added related to 0024316
2014-03-12 14:37 bugmaster Note Added: 0028223
2014-03-12 14:37 bugmaster Status feedback => tested
2014-03-12 14:39 bugmaster Note Added: 0028224
2014-03-12 14:39 bugmaster Status tested => verified
2014-03-12 14:39 bugmaster Resolution open => fixed
2014-03-12 14:39 bugmaster Assigned To bugmaster => kgv
2014-04-04 13:31 abv Target Version 6.7.1 => 6.8.0
2014-11-11 12:47 aiv Fixed in Version => 6.8.0
2014-11-11 12:51 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker